axipmon: XAxiPmon_Config Struct Reference

| axipmon Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

- Data Structures
- Data Fields

Data Fields
XAxiPmon_Config Struct Reference
Axipmon_v6_6

This typedef contains configuration information for the AXI Performance Monitor device. More...

## Data Fields
u16 | DeviceId
| Unique ID of device. More...
UINTPTR | BaseAddress
| Device base address. More...
s32 | GlobalClkCounterWidth
| Global Clock Counter Width. More...
s32 | MetricSampleCounterWidth
| Metric Sample Counters Width. More...
u8 | IsEventCount
| Event Count Enabled 1 - enabled 0 - not enabled. More...
u8 | NumberofSlots
| Number of Monitor Slots. More...
u8 | NumberofCounters
| Number of Counters. More...
u8 | HaveSampledCounters
| Have Sampled Counters 1 - present 0 - Not present. More...
u8 | IsEventLog
| Event Logging Enabled 1 - enabled 0 - Not enabled. More...
u32 | FifoDepth
| Event Log FIFO Depth. More...
u32 | FifoWidth
| Event Log FIFO Width. More...
u32 | TidWidth
| Streaming Interface TID Width. More...
u8 | ScaleFactor
| Event Count Scaling factor. More...
u8 | ModeAdvanced
| Advanced Mode. More...
u8 | ModeProfile
| Profile Mode. More...
u8 | ModeTrace
| Trace Mode. More...
u8 | Is32BitFiltering
| 32 bit filtering enabled More...

## Detailed Description

This typedef contains configuration information for the AXI Performance Monitor device.

## Field Documentation

UINTPTR XAxiPmon_Config::BaseAddress

Device base address.

Referenced by AxiPmonInterruptExample(), AxiPmonPolledExample(), main(), XAxiPmon_CfgInitialize(), XAxiPmon_DisableEventLogTrigger(), XAxiPmon_DisableMetricCounterTrigger(), XAxiPmon_DisableMetricsCounter(), XAxiPmon_EnableEventLog(), XAxiPmon_EnableEventLogTrigger(), XAxiPmon_EnableMetricCounterTrigger(), XAxiPmon_EnableMetricsCounter(), XAxiPmon_GetIncrementer(), XAxiPmon_GetIncrementerRange(), XAxiPmon_GetLogEnableRanges(), XAxiPmon_GetMetricCounter(), XAxiPmon_GetMetrics(), XAxiPmon_GetRdLatencyEnd(), XAxiPmon_GetRdLatencyStart(), XAxiPmon_GetReadId(), XAxiPmon_GetReadIdMask(), XAxiPmon_GetSampledIncrementer(), XAxiPmon_GetSampledMetricCounter(), XAxiPmon_GetSampleInterval(), XAxiPmon_GetSwDataReg(), XAxiPmon_GetWriteId(), XAxiPmon_GetWriteIdMask(), XAxiPmon_GetWrLatencyEnd(), XAxiPmon_GetWrLatencyStart(), XAxiPmon_ResetFifo(), XAxiPmon_ResetGlobalClkCounter(), XAxiPmon_ResetMetricCounter(), XAxiPmon_SetIncrementerRange(), XAxiPmon_SetLogEnableRanges(), XAxiPmon_SetMetrics(), XAxiPmon_SetRdLatencyEnd(), XAxiPmon_SetRdLatencyStart(), XAxiPmon_SetReadId(), XAxiPmon_SetReadIdMask(), XAxiPmon_SetSampleInterval(), XAxiPmon_SetSwDataReg(), XAxiPmon_SetWriteId(), XAxiPmon_SetWriteIdMask(), XAxiPmon_SetWrLatencyEnd(), XAxiPmon_SetWrLatencyStart(), XAxiPmon_StartCounters(), XAxiPmon_StartEventLog(), XAxiPmon_StopCounters(), and XAxiPmon_StopEventLog().

u16 XAxiPmon_Config::DeviceId

Unique ID of device.

Referenced by XAxiPmon_CfgInitialize().

u32 XAxiPmon_Config::FifoDepth

Event Log FIFO Depth.

Referenced by XAxiPmon_CfgInitialize().

u32 XAxiPmon_Config::FifoWidth

Event Log FIFO Width.

Referenced by XAxiPmon_CfgInitialize().

s32 XAxiPmon_Config::GlobalClkCounterWidth

Global Clock Counter Width.

Referenced by XAxiPmon_CfgInitialize(), and XAxiPmon_GetGlobalClkCounter().

u8 XAxiPmon_Config::HaveSampledCounters

Have Sampled Counters 1 - present 0 - Not present.

Referenced by XAxiPmon_CfgInitialize(), XAxiPmon_GetSampledIncrementer(), and XAxiPmon_GetSampledMetricCounter().

u8 XAxiPmon_Config::Is32BitFiltering

32 bit filtering enabled

Referenced by XAxiPmon_CfgInitialize(), XAxiPmon_GetReadId(), XAxiPmon_GetReadIdMask(), XAxiPmon_GetWriteId(), XAxiPmon_GetWriteIdMask(), XAxiPmon_SetReadId(), XAxiPmon_SetReadIdMask(), XAxiPmon_SetWriteId(), and XAxiPmon_SetWriteIdMask().

u8 XAxiPmon_Config::IsEventCount

Event Count Enabled 1 - enabled 0 - not enabled.

Referenced by XAxiPmon_CfgInitialize(), XAxiPmon_DisableMetricsCounter(), XAxiPmon_EnableMetricsCounter(), XAxiPmon_GetIncrementer(), XAxiPmon_GetLogEnableRanges(), XAxiPmon_GetSampledIncrementer(), XAxiPmon_SetLogEnableRanges(), XAxiPmon_StartCounters(), and XAxiPmon_StopCounters().

u8 XAxiPmon_Config::IsEventLog

Event Logging Enabled 1 - enabled 0 - Not enabled.

Referenced by XAxiPmon_CfgInitialize(), XAxiPmon_EnableEventLog(), XAxiPmon_ResetFifo(), XAxiPmon_StartEventLog(), and XAxiPmon_StopEventLog().

s32 XAxiPmon_Config::MetricSampleCounterWidth

Metric Sample Counters Width.

Referenced by XAxiPmon_CfgInitialize().

u8 XAxiPmon_Config::ModeAdvanced

Advanced Mode.

Referenced by XAxiPmon_CfgInitialize().

u8 XAxiPmon_Config::ModeProfile

Profile Mode.

Referenced by XAxiPmon_CfgInitialize().

u8 XAxiPmon_Config::ModeTrace

Trace Mode.

Referenced by XAxiPmon_CfgInitialize().

u8 XAxiPmon_Config::NumberofCounters

Number of Counters.

Referenced by XAxiPmon_CfgInitialize().

u8 XAxiPmon_Config::NumberofSlots

Number of Monitor Slots.

Referenced by XAxiPmon_CfgInitialize().

u8 XAxiPmon_Config::ScaleFactor

Event Count Scaling factor.

Referenced by XAxiPmon_CfgInitialize().

u32 XAxiPmon_Config::TidWidth

Streaming Interface TID Width.

Referenced by XAxiPmon_CfgInitialize().